using Castle.ActiveRecord;

namespace AutoDbCreate.WebHost.Models
{
    [ActiveRecord(Schema = ARSchema.LOGISTIC)]
    public class Address
    {
        [PrimaryKey]
        public int Id { get; set; }

        [Property]
        public string Street { get; set; }

        [Property]
        public string City { get; set; }

        [Property]
        public string State { get; set; }

        [Property]
        public string PostalCode { get; set; }

        [Property]
        public string Country { get; set; }

        [OneToOne]
        public Customer Customer { get; set; }
    }
}