using Castle.ActiveRecord;

namespace AutoDbCreate.WebHost.Models
{
    [ActiveRecord(Schema = ARSchema.CUSTOMER)]
    public class Customer
    {
        [PrimaryKey]
        public int Id { get; set; }

        [Property]
        public string FirstName { get; set; }

        [Property]
        public string LastName { get; set; }

        [OneToOne]
        public Address Address { get; set; }
    }
}